## udev 175

=== debian/changelog ===
udev (175-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove blacklisting of lxfb (Closes: #705784)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 28 Apr 2013 22:29:35 +0100

udev (175-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add upstart support.  Closes: #686378.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Nov 2012 23:58:14 -0800

udev (175-7) unstable; urgency=low

  * Clean up better /etc/udev/rules.d/ on purge. (Closes: #685065)
  * 75-persistent-net-generator.rules: fixed for ccwgroup devices on S/390.
    (Closes: #684766)

 -- Marco d'Itri <md@linux.it>  Fri, 17 Aug 2012 12:20:39 +0200

udev (175-6) unstable; urgency=low

  * Moved 60-persistent-input.rules back from udev-gtk-udeb to udev-udeb.
    (Closes: #666223) 
  * Suppress logging of HDIO_GET_IDENTITY errors in ata_id. (Closes: #684448)
  * Clean up /etc/udev/rules.d/ on purge. (Closes: #678074)
  * Compress with xz.

 -- Marco d'Itri <md@linux.it>  Sun, 12 Aug 2012 16:29:38 +0200

udev (175-5) unstable; urgency=low

  * Made udev depend on procps because it uses ps in the init script.
    (Closes: #677936)

 -- Marco d'Itri <md@linux.it>  Mon, 30 Jul 2012 18:37:12 +0200

udev (175-4) unstable; urgency=low

  * Stop trying to load the unix module in the initramfs hook.
    (Closes: #654282)
  * Load again the obsolete sg driver disabled in 175-1, because other 
    packages still use it. (Closes: #657948)
  * Do not generate persistent rules for Virtualbox network interfaces.
    (Closes: #659652)
  * Added a new debconf translation: po. (Closes: #660005)
  * Made udev depend on psmisc because it uses ps in the init script.
    (Closes: #677936)
  * Do not try to start udevd in postinst in containers. (See #620921.)
    (Closes: #651941)
  * Always use --user root with start-stop-daemon --name. (Closes: #652549)
  * Removed -lrt from the libudev pkg-config file. (Closes: #674773)
  * Moved 60-persistent-input.rules back from udev-gtk-udeb to udev-udeb.
    (Closes: #666223) 

 -- Marco d'Itri <md@linux.it>  Mon, 30 Jul 2012 05:36:46 +0200

udev (175-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Include 50-udev-default.rules in udev-gtk-udeb so input_id gets run and X
    can find input devices (closes: #658695)
  * Add missing \ in 75-persistent-net-generator.rules (closes: #652660)

 -- Julien Cristau <jcristau@debian.org>  Tue, 21 Feb 2012 22:42:52 +0100

udev (175-3) unstable; urgency=medium

  * udev.service modified to reflect the actual path of udevd.
    (Closes: #649175)
  * 75-persistent-net-generator.rules: added the Xen MAC addresses for
    non-PV HVM interfaces.

 -- Marco d'Itri <md@linux.it>  Mon, 05 Dec 2011 04:14:32 +0100

udev (175-2) unstable; urgency=low

  * Fixed a silly FTBFS. (Closes: #649142)

 -- Marco d'Itri <md@linux.it>  Fri, 18 Nov 2011 11:24:40 +0100

udev (175-1) unstable; urgency=low

  * New upstream release.
  * 50-udev-default.rules: removed the obsolete scd%n symlinks.
  * 80-drivers.rules: stop automatically loading the obsolete sg driver.
  * Install 60-cdrom_id.rules in udev-udeb. (Closes: #646829)
  * initramfs.hook: suppress errors if fstab does not exists.
    (Closes: #643160)
  * Do not try to start udevd in a container. (Closes: #620921)
  * 75-persistent-net-generator.rules: added the 00:05:69:* and 00:1C:14:*
    VMWare MAC addresses. (Closes: #637571)
  * 75-persistent-net-generator.rules: KVM network interfaces with
    52:54:00:* MAC addresses are ignored again. (Closes: #638159)
  * Added support for the init script status parameter. (Closes: #641781)
  * Removed /etc/modprobe.d/blacklist.conf because all the drivers are
    not built on Debian kernels.
  * Stop using hardening-includes, since hardening is the default now.

 -- Marco d'Itri <md@linux.it>  Fri, 18 Nov 2011 03:05:39 +0100

udev (172-1) unstable; urgency=medium

  * New upstream release.
  * 80-drivers.rules: removed ide-scsi which does not exist anymore,
    load sg for any SCSI device.
  * Do not try to run edd_id in d-i. (Closes: #633678)

 -- Marco d'Itri <md@linux.it>  Sat, 23 Jul 2011 02:49:17 +0200

udev (171-3) unstable; urgency=high

  * preinst: explicitly skip the kernel version/features checks when
    upgrading a chrooted system. (Closes: #632624)
  * postinst: manually create on upgrades the /usr/share/doc/udev
    symlink added in 171-2, because dpkg cannot. (Closes: #632322)
  * postinst: do not create the persistent network interfaces rules
    when installing a chrooted system. (Closes: #631593)

 -- Marco d'Itri <md@linux.it>  Mon, 11 Jul 2011 11:25:16 +0200

udev (171-2) unstable; urgency=medium

  * Converted libudev0 and libgudev-1.0-0 to multiarch.
  * This requires switching to debhelper level v8.
  * Fixed a preinst bug which caused it to check the required kernel
    version only when upgrading from versions <= 150-1. Updated as well
    the version of the kernel packages in the Breaks directive.
    (Closes: #631294)
  * Share the changelogs between libudev0 and udev to save 100 kB on
    every Debian system.

 -- Marco d'Itri <md@linux.it>  Mon, 27 Jun 2011 04:10:20 +0200

udev (171-1) unstable; urgency=medium

  * New upstream release.
  * Defensive programming: if udevd cannot be started in the init script
    wait 15 seconds and try to continue anyway in the hope that it was
    already running for some reason.
  * Moved 60-persistent-input.rules from udev-udeb to udev-gtk-udeb.
    (Closes: #628012)
  * Backported the keymap for the Microsoft Natural Keyboard.
    (Closes: #629647)
  * Retired the rule for /dev/pilot because it cannot support multiple
    devices. Programs must use an higher level interface to look for
    suitable devices.
  * Renamed 30-compat.rules to 50-udev-default.rules for uniformity
    with the upstream rules (but we still set the permissions elsewhere).
  * 60-persistent-storage.rules: ID_WWN replaced by ID_WWN_WITH_EXTENSION.

