=== debian/control ===
Source: udev
Section: admin
Priority: important
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 8.1.3), libselinux1-dev (>= 1.28), libglib2.0-dev (>= 2.12.0), libusb-dev (>= 2:0.1.12), libacl1-dev, usbutils (>= 0.86-2), pciutils, libc6-dev (>= 2.9) [!alpha !hppa !ia64], libc6-dev (>= 2.13-0exp4) [hppa], libc6.1-dev (>= 2.9) [alpha ia64], linux-libc-dev (>= 2.6.29), autoconf, automake, libtool (>= 2.2.2), gtk-doc-tools, xsltproc, docbook-xsl, gperf, libgirepository1.0-dev (>= 0.10.0), gir1.2-glib-2.0, gobject-introspection (>= 0.10.0)
Standards-Version: 3.9.3.1

Package: udev
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: debconf (>= 1.4.69) | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends}, libudev0 (= ${binary:Version}), lsb-base (>= 3.0-6), util-linux (>= 2.16), s390-tools (>> 1.6.2) [s390], procps
Recommends: usbutils, pciutils
Conflicts: libc6 (<< 2.9-22)
Replaces: libudev0
Breaks: dmsetup (<< 2.02.84-1), mdadm (<< 3.0-3), consolekit (<< 0.4.1),
 libsane (<< 1.0.21-3), multipath-tools (<< 0.4.8-12), systemd (<< 28),
 linux-image-2.6-alpha-generic (<< 2.6.32) [alpha],
 linux-image-2.6-alpha-legacy (<< 2.6.32) [alpha],
 linux-image-2.6-alpha-smp (<< 2.6.32) [alpha],
 linux-image-2.6-openvz-amd64 (<< 2.6.32) [amd64],
 linux-image-2.6-vserver-amd64 (<< 2.6.32) [amd64],
 linux-image-2.6-xen-amd64 (<< 2.6.32) [amd64],
 linux-image-2.6-amd64 (<< 2.6.32) [amd64 i386],
 linux-image-2.6-footbridge (<< 2.6.32) [arm],
 linux-image-2.6-iop32x (<< 2.6.32) [arm armel],
 linux-image-2.6-ixp4xx (<< 2.6.32) [arm armel],
 linux-image-2.6-orion5x (<< 2.6.32) [arm armel],
 linux-image-2.6-versatile (<< 2.6.32) [armel],
 linux-image-2.6-parisc (<< 2.6.32) [hppa],
 linux-image-2.6-parisc64 (<< 2.6.32) [hppa],
 linux-image-2.6-parisc64-smp (<< 2.6.32) [hppa],
 linux-image-2.6-parisc-smp (<< 2.6.32) [hppa],
 linux-image-2.6-486 (<< 2.6.32) [i386],
 linux-image-2.6-686 (<< 2.6.32) [i386],
 linux-image-2.6-686-bigmem (<< 2.6.32) [i386],
 linux-image-2.6-k7 (<< 2.6.32) [i386],
 linux-image-2.6-openvz-686 (<< 2.6.32) [i386],
 linux-image-2.6-vserver-686 (<< 2.6.32) [i386],
 linux-image-2.6-vserver-686-bigmem (<< 2.6.32) [i386],
 linux-image-2.6-xen-686 (<< 2.6.32) [i386],
 linux-image-2.6-itanium (<< 2.6.32) [ia64],
 linux-image-2.6-mckinley (<< 2.6.32) [ia64],
 linux-image-2.6-vserver-itanium (<< 2.6.32) [ia64],
 linux-image-2.6-vserver-mckinley (<< 2.6.32) [ia64],
 linux-image-2.6-r4k-ip22 (<< 2.6.32) [mips],
 linux-image-2.6-r5k-ip32 (<< 2.6.32) [mips],
 linux-image-2.6-r5k-cobalt (<< 2.6.32) [mipsel],
 linux-image-2.6-4kc-malta (<< 2.6.32) [mips mipsel],
 linux-image-2.6-5kc-malta (<< 2.6.32) [mips mipsel],
 linux-image-2.6-sb1a-bcm91480b (<< 2.6.32) [mips mipsel],
 linux-image-2.6-sb1-bcm91250a (<< 2.6.32) [mips mipsel],
 linux-image-2.6-powerpc (<< 2.6.32) [powerpc],
 linux-image-2.6-powerpc64 (<< 2.6.32) [powerpc],
 linux-image-2.6-powerpc-smp (<< 2.6.32) [powerpc],
 linux-image-2.6-vserver-powerpc (<< 2.6.32) [powerpc],
 linux-image-2.6-vserver-powerpc64 (<< 2.6.32) [powerpc],
 linux-image-2.6-s390 (<< 2.6.32) [s390],
 linux-image-2.6-s390-tape (<< 2.6.32) [s390],
 linux-image-2.6-s390x (<< 2.6.32) [s390],
 linux-image-2.6-vserver-s390x (<< 2.6.32) [s390],
 linux-image-2.6-sparc64 (<< 2.6.32) [sparc],
 linux-image-2.6-sparc64-smp (<< 2.6.32) [sparc],
 linux-image-2.6-vserver-sparc64 (<< 2.6.32) [sparc]
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.

Package: libudev0
Section: libs
Priority: important
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libudev shared library
 This library provides access to udev device information.

Package: libudev-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libudev0 (= ${binary:Version})
Description: libudev development files
 This package contains the files needed for developing applications that
 use libudev.

Package: udev-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux-udeb
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.
 .
 This is a minimal version, only for use in the installation system.

Package: udev-gtk-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev-udeb
Description: libudev shared library
 This library provides access to udev device information.
 The package additionally contains input_id and the related rules.
 .
 This is a minimal version, only for use in the installation system.

Package: libgudev-1.0-0
Section: libs
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: GObject-based wrapper library for libudev
 This library makes it much simpler to use libudev from programs already using
 GObject. It also makes it possible to easily use libudev from other
 programming languages, such as Javascript, because of GObject introspection
 support.

Package: gir1.2-gudev-1.0
Section: introspection
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}, libglib2.0-0
Conflicts: gir1.0-gudev-1.0
Replaces: gir1.0-gudev-1.0
Description: libgudev-1.0 introspection data
 This package contains the GObject-introspection data of libgudev-1.0 in
 binary typelib format.

Package: libgudev-1.0-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgudev-1.0-0 (= ${binary:Version}), libglib2.0-dev, pkg-config
Description: libgudev-1.0 development files
 This package contains the files needed for developing applications that
 use libgudev-1.0.
