=== debian/watch ===
version=3
http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev-([\d+\.]+)\.tar.(?:gz|bz2)
